// src/index.ts
import { writeFile } from "fs";
import { createUnplugin } from "unplugin";
var imports = [{
  from: "vue",
  name: "Ref",
  generic: "<T>"
}, {
  from: "vue",
  name: "ComputedRef",
  generic: "<T>"
}, {
  from: "@vueuse/core",
  name: "MaybeRef",
  generic: "<T>"
}, {
  from: "@vueuse/core",
  name: "MaybeComputedRef",
  generic: "<T>"
}];
async function generateTypeDTS() {
  const content = `export {} 
declare global {
${imports.map((i) => `  type ${i.name}${i.generic || ""} = import('${i.from}').${i.name}${i.generic || ""}`).join("\n")}
}`;
  writeFile("auto-import-types.d.ts", content, {
    encoding: "utf-8"
  }, () => {
  });
}
var src_default = createUnplugin(() => ({
  name: "unplugin-test",
  transform(code) {
    generateTypeDTS();
    return code;
  }
}));

export {
  src_default
};
