var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/nuxt.ts
var nuxt_exports = {};
__export(nuxt_exports, {
  default: () => nuxt_default
});
module.exports = __toCommonJS(nuxt_exports);

// src/index.ts
var import_fs = require("fs");
var import_unplugin = require("unplugin");
var imports = [{
  from: "vue",
  name: "Ref",
  generic: "<T>"
}, {
  from: "vue",
  name: "ComputedRef",
  generic: "<T>"
}, {
  from: "@vueuse/core",
  name: "MaybeRef",
  generic: "<T>"
}, {
  from: "@vueuse/core",
  name: "MaybeComputedRef",
  generic: "<T>"
}];
async function generateTypeDTS() {
  const content = `export {} 
declare global {
${imports.map((i) => `  type ${i.name}${i.generic || ""} = import('${i.from}').${i.name}${i.generic || ""}`).join("\n")}
}`;
  (0, import_fs.writeFile)("auto-import-types.d.ts", content, {
    encoding: "utf-8"
  }, () => {
  });
}
var src_default = (0, import_unplugin.createUnplugin)(() => ({
  name: "unplugin-test",
  transform(code) {
    generateTypeDTS();
    return code;
  }
}));

// src/nuxt.ts
function nuxt_default(options) {
  this.extendBuild((config) => {
    config.plugins = config.plugins || [];
    config.plugins.unshift(src_default.webpack(options));
  });
  this.nuxt.hook("vite:extend", async (vite) => {
    vite.config.plugins = vite.config.plugins || [];
    vite.config.plugins.push(src_default.vite(options));
  });
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {});
if (module.exports.default) module.exports = module.exports.default;